# This file should not be modified as it may get changed by the maintainer.
# Add extra configuration files in the extra_config_files directory to override
# the content from this file

# Extra configuration directory where the config files overriding this file
# should be.
extra_config_files: /etc/xivo-auth/conf.d/

log_filename: /var/log/xivo-auth.log
pid_filename: /var/run/xivo-auth/xivo-auth.pid
foreground: False
debug: False

# The lifetime of tokens in seconds
default_token_lifetime: 7200

# REST API server
rest_api:

  https:
    listen: 0.0.0.0
    port: 9497
    certificate: /usr/share/xivo-certs/server.crt
    private_key: /usr/share/xivo-certs/server.key

    # SSL ciphers
    ciphers: "ALL:!aNULL:!eNULL:!LOW:!EXP:!RC4:!3DES:!SEED:+HIGH:+MEDIUM"

    #CORS configuration. See Flask-CORS documentation for other values.
  cors:
    enabled: True

    #Allow JSON preflight requests
    allow_headers: [Content-Type, authorization, X-Auth-Token]


enabled_plugins:
  - xivo_admin
  - xivo_service
  - xivo_user
  - xivo_session

amqp:
  uri: amqp://xds:xds@localhost:5672/
  exchange_name: xivo
  exchange_type: x-delayed-message
  exchange_args:
    x-delayed-type: topic

consul:
  scheme: https
  host: localhost
  port: 8500
  verify: /usr/share/xivo-certs/server.crt
  token: 'the_one_ring'

# Database connection informations.
db_uri: postgresql://asterisk:proformatique@localhost/asterisk

# Service discovery configuration. all time intervals are in seconds
service_discovery:
  # to indicate wether of not to use service discovery, should only be disabled
  # for testing purposes
  enabled: true
  # the address that will be received by other services using service discovery.
  # use "advertise_address: auto" to enable ip address detection based on
  # advertise_address_interface
  advertise_address: auto
  # if advertise_address is "auto" this interface will be used to find the ip
  # address to advertise. ignored otherwise
  advertise_address_interface: eth0
  advertise_port: 9497
  # the number of seconds that consul will wait between 2 ttl messages to mark
  # this service as up
  ttl_interval: 30
  # the time interval before the service sends a new ttl message to consul
  refresh_interval: 27
  # the time interval to detect that the service is running when starting
  retry_interval: 2
  extra_tags: []
